Bug 1048385 - [Doc Bug Fix] Multicast port and Fixed Port have wrong documentation
Summary: [Doc Bug Fix] Multicast port and Fixed Port have wrong documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0,6.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: GA
: EAP 6.3.0
Assignee: Russell Dickenson
QA Contact: Jan Stefl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 21:13 UTC by Yaakov Weintraub
Modified: 2014-08-14 15:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-12-2013 14:15:34 Topic ID: 5442-549238 [Specified]
Last Closed: 2014-06-28 15:39:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Yaakov Weintraub 2014-01-03 21:13:38 UTC
Title: Configure Socket Bindings

Describe the issue:  In Table 5.2 there are a number of issues:
* Multicast Port and Fixed Port have the wrong description - the description appears to be from an unrelated configuration topic.
* The names of the attributes are not exact matches for the actual attribute - i.e. Multicast Port is the row for the multicast-port attribute


Suggestions for improvement:
* Fix the descriptions
* Replace the names in the "Component" column with the exact attribute names (also the "Component" title might best be changed to "Attribute"

Additional information: 
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Administration_and_Configuration_Guide/index.html#Configure_Socket_Bindings

Comment 1 Richard Janík 2014-04-01 08:25:21 UTC
As following the documentation to-letter wouldn't lead to correct configuration I'm raising the severity.

A hint for correct description of multicast-port and fixed-port is at https://docs.jboss.org/author/display/AS7/Interfaces+and+ports

Comment 2 Russell Dickenson 2014-06-10 01:40:13 UTC
Topic(s):
Configure Socket Bindings [5442]

Change(s):
- Removed unwanted capitalisation of "Management Console", "Management CLI" etc.
- Replaced names of the attributes to the literal value which would be specified in an XML configuration file.
- Changed column label "Component" to "Attribute".
- Marked attributes' names as <literal> to prevent them from being translated.

Comment 3 Russell Dickenson 2014-06-11 03:53:55 UTC
The amended text can be found in revision 6.3.0-23 (or higher) of the Administration and Configuration Guide at [1].

Refer to comment 2 for specific details as to what was changed.

[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Configure_Socket_Bindings

Comment 4 Jan Stefl 2014-06-17 15:03:01 UTC
Verified in Revision 6.3.0-26 - PASSED


Note You need to log in before you can comment on or make changes to this bug.